Package Details: sysmontask 1:1.x.x-5

Git Clone URL: https://aur.archlinux.org/sysmontask.git (read-only, click to copy)
Package Base: sysmontask
Description: System monitor with the compactness and usefulness of Windows Task Manager
Upstream URL: https://github.com/KrispyCamel4u/SysMonTask
Keywords: manager monitor system task task-manager
Licenses: BSD
Submitter: D3SOX
Maintainer: yochananmarqos (camel-neeraj)
Last Packager: yochananmarqos
Votes: 10
Popularity: 1.06
First Submitted: 2021-03-01 11:47 (UTC)
Last Updated: 2022-04-16 14:19 (UTC)

Latest Comments

yochananmarqos commented on 2022-04-16 14:19 (UTC)

@guiodic: Fixed.

guiodic commented on 2022-04-16 06:39 (UTC)

Traceback (most recent call last): File "/usr/lib/python3.10/site-packages/sysmontask/sysmontask.py", line 30, in <module> from cpu import * ModuleNotFoundError: No module named 'cpu'

yochananmarqos commented on 2022-02-27 21:49 (UTC)

@flavio92ux: Nothing changed, the binaries are still there.

flavio92ux commented on 2022-02-27 19:49 (UTC)

After update, the bin cannot be executed. Binary not found.

yochananmarqos commented on 2022-02-26 22:38 (UTC) (edited on 2022-02-27 20:31 (UTC) by yochananmarqos)

@frantesia: Thanks for the heads up, it's fixed.

Sorry about the late response, I just received missed AUR notifications from the last three days all at once. Aurweb 6.0 growing pains, I suspect.

frantesla commented on 2022-02-22 10:42 (UTC) (edited on 2022-02-22 10:45 (UTC) by frantesla)

the URL source for the tar.gz file is no longer working, because of this is not longer installing, it downloads the error instead of the compressed file

yochananmarqos commented on 2021-09-19 13:57 (UTC)

@camel-neeraj: It still can be run without elevated privileges running sysmontask.

camel-neeraj commented on 2021-09-19 06:20 (UTC)

Thanks, but it would be good if it is run with a normal access. Yes for some information root access is required, but unless users doesn't want those info should run with menu icon. If in case they are in need of these infos they can use sudo with the program.

yochananmarqos commented on 2021-09-18 19:13 (UTC)

@camel-neeraj: Some information requires root access, see the README.

However, contrary to the upstream instructions, running GUI applications with sudo should be avoided. The desktop file launches the binary via pkexec with a matching Polkit policy.

See Running GUI applications as root and Polkit in the Arch wiki.

camel-neeraj commented on 2021-09-18 14:52 (UTC)

Hi, the SysMonTask.desktop looks to be changed. It is asking password when launched from menu. Please undo the change if done by you. In the upstream it is correct. The fields that were changed are Tryexec and exec.

D3SOX commented on 2021-09-14 15:11 (UTC)

I think lshw is a missing dependency. I could not start it without, it gave me /bin/sh: 1: lshw: not found and a JSONDecodeError

camel-neeraj commented on 2021-03-11 12:09 (UTC)

Hi Can you update the package as some dependencies have been removed in the new release?

kouros17 commented on 2021-03-03 08:16 (UTC)

@D3SOX Yes I have it alredy installed just the fakeroot was missing. I probably deleted it by mistake. Thanks! :)

D3SOX commented on 2021-03-03 07:53 (UTC) (edited on 2021-03-03 07:54 (UTC) by D3SOX)

@kouros17 Do you have base-devel installed? Try pacman -S base-devel. It contains all the necessary tools to build packages.

kouros17 commented on 2021-03-03 07:37 (UTC) (edited on 2021-03-03 07:41 (UTC) by kouros17)

I cant build it because

ERROR: Cannot find the fakeroot binary.

Installed fakeroot from repos and everyting ok now.

yochananmarqos commented on 2021-03-01 21:43 (UTC) (edited on 2021-03-01 21:54 (UTC) by yochananmarqos)

PKGBUILD critique:

  • This needs to build from source, see Python package guidelines.
  • The license should be installed to /usr/share/licenses/$pkgname/.
  • A package already provides itself, remove provides() and conflicts(). See Package relations.
  • This also depends on python-cairo, see sysmontask.py and most of the other files in that folder.
  • This also depends on libwnck3, see proc.py.

I don't see any mention of python-xxhash as a dependency, where did you find that? I didn't notice any difference without it installed.

Example PKGBUILD